Subject: Re: bug#14080: Guile bug building from source with pkg-config
From: Andy Wingo <[email-masked]>
To: Mark Sutton <[email-masked]>
Cc: [email-masked]
Date: Mon, 20 Jun 2016 22:26:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Expiring this old bug.  Please open a new one if you have new
compilation failures.  Thanks!

Andy

On Thu 28 Mar 2013 09:11, Mark Sutton <[email-masked]> writes:

> Hi,
>
> I can ./configure make make install guile-2.0.7 from source, however,
> when I then try in build guile-clutter or guile-ncurses from source I
> get errors in both. After googling I found that I should have
> ./configure PKG_CONFIG=true.
>
> When I try this, it configures okay, however, I get the following when
> I make ...
>
> ./.libs/libguile-2.0.so: undefined reference to `GC_gc_no'
> ./.libs/libguile-2.0.so: undefined reference to `ffi_type_sint16'
> ./.libs/libguile-2.0.so: undefined reference to `GC_get_bytes_since_gc'
> ./.libs/libguile-2.0.so: undefined reference to `ffi_type_uint64'
> ./.libs/libguile-2.0.so: undefined reference to
> `GC_register_finalizer_no_order'
> ./.libs/libguile-2.0.so: undefined reference to `GC_collect_a_little'
> ./.libs/libguile-2.0.so: undefined reference to `GC_pthread_detach'
> ./.libs/libguile-2.0.so: undefined reference to `GC_finalizer_notifier'
> collect2: ld returned 1 exit status
> make[3]: *** [guile] Error 1
> make[3]: Leaving directory `/home/marks/3rd-party-src/guile-2.0.7/libguile'
> make[2]: *** [all] Error 2
> make[2]: Leaving directory `/home/marks/3rd-party-src/guile-2.0.7/libguile'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/home/marks/3rd-party-src/guile-2.0.7'
> make: *** [all] Error 2
> marks@marks-MacBookAir:~/3rd-party-src/guile-2.0.7$
>
> ... so at the moment, I can build guile but I cannot build any
> extension packages into it.
>
> Any ideas?